<?xml version="1.0" encoding="UTF-8"?>
<testsuites name="API-Login" time="9.048" tests="5" failures="0" errors="0">
   <testsuite name="API-Login" tests="5" failures="0" errors="0" time="9.048" skipped="0" timestamp="2023-09-12 13:42:53" hostname="Bronya - Flatrute" id="Test Suites/API-Login">
      <properties>
         <property name="deviceName" value=""/>
         <property name="devicePlatform" value=""/>
         <property name="logFolder" value="C:\\Users\\Bronya\\git\\automation-api-katalon\\Reports\\20230912_134248\\API-Login\\20230912_134249"/>
         <property name="logFiles" value="C:\\Users\\Bronya\\git\\automation-api-katalon\\Reports\\20230912_134248\\API-Login\\20230912_134249\\execution0.log"/>
         <property name="attachments" value=""/>
         <property name="hostName" value="Bronya - Flatrute"/>
         <property name="hostAddress" value="192.168.100.81"/>
         <property name="os" value="Windows 10 64bit"/>
         <property name="katalonVersion" value="8.6.6.208"/>
      </properties>
      <testcase name="Test Cases/API-LOG001" time="3.817" classname="Test Cases/API-LOG001" status="PASSED">
         <system-out><![CDATA[2023-09-12 13:42:54 - [TEST_CASE][PASSED] - Test Cases/API-LOG001: Test Cases/API-LOG001

2023-09-12 13:42:54 - [TEST_STEP][PASSED] - response = sendRequestAndVerify(findTestObject("API-LOG001")): Send request and verify the response successfully

2023-09-12 13:42:57 - [MESSAGE][INFO] - HAR: C:\Users\Bronya\git\automation-api-katalon\Reports\20230912_134248\API-Login\20230912_134249\requests\main\0.har

2023-09-12 13:42:57 - [TEST_CASE][PASSED] - Start Test Case : Verification: Verification accomplished successfully

2023-09-12 13:42:57 - [TEST_STEP][PASSED] - request = getInstance().getCurrentRequest(): null

2023-09-12 13:42:57 - [TEST_STEP][PASSED] - response = getInstance().getCurrentResponse(): null

2023-09-12 13:42:57 - [TEST_STEP][PASSED] - assert response.getStatusCode() == 200: null

2023-09-12 13:42:57 - [MESSAGE][PASSED] - Verify response successfully

2023-09-12 13:42:57 - [MESSAGE][PASSED] - All validation steps have been passed

2023-09-12 13:42:57 - [MESSAGE][PASSED] - Send request and verify the response successfully

2023-09-12 13:42:57 - [TEST_STEP][PASSED] - verifyElementPropertyValue(response, "success.email", "cihek19445@hempyl.com"): Verify element property value successfully

2023-09-12 13:42:57 - [MESSAGE][PASSED] - Verify element property value successfully]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/API-LOG002" time="0.834" classname="Test Cases/API-LOG002" status="PASSED">
         <system-out><![CDATA[2023-09-12 13:42:57 - [TEST_CASE][PASSED] - Test Cases/API-LOG002: Test Cases/API-LOG002

2023-09-12 13:42:58 - [TEST_STEP][PASSED] - response = sendRequestAndVerify(findTestObject("API-LOG002")): Send request and verify the response successfully

2023-09-12 13:42:58 - [MESSAGE][INFO] - HAR: C:\Users\Bronya\git\automation-api-katalon\Reports\20230912_134248\API-Login\20230912_134249\requests\main\1.har

2023-09-12 13:42:58 - [TEST_CASE][PASSED] - Start Test Case : Verification: Verification accomplished successfully

2023-09-12 13:42:58 - [TEST_STEP][PASSED] - request = getInstance().getCurrentRequest(): null

2023-09-12 13:42:58 - [TEST_STEP][PASSED] - response = getInstance().getCurrentResponse(): null

2023-09-12 13:42:58 - [MESSAGE][PASSED] - Verify response successfully

2023-09-12 13:42:58 - [MESSAGE][PASSED] - All validation steps have been passed

2023-09-12 13:42:58 - [MESSAGE][PASSED] - Send request and verify the response successfully

2023-09-12 13:42:58 - [TEST_STEP][PASSED] - verifyElementPropertyValue(response, "error", "Unauthorised"): Verify element property value successfully

2023-09-12 13:42:58 - [MESSAGE][PASSED] - Verify element property value successfully]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/API-LOG003" time="1.082" classname="Test Cases/API-LOG003" status="PASSED">
         <system-out><![CDATA[2023-09-12 13:42:58 - [TEST_CASE][PASSED] - Test Cases/API-LOG003: Test Cases/API-LOG003

2023-09-12 13:42:59 - [TEST_STEP][PASSED] - response = sendRequestAndVerify(findTestObject("API-LOG003")): Send request and verify the response successfully

2023-09-12 13:42:59 - [MESSAGE][INFO] - HAR: C:\Users\Bronya\git\automation-api-katalon\Reports\20230912_134248\API-Login\20230912_134249\requests\main\2.har

2023-09-12 13:42:59 - [TEST_CASE][PASSED] - Start Test Case : Verification: Verification accomplished successfully

2023-09-12 13:42:59 - [TEST_STEP][PASSED] - request = getInstance().getCurrentRequest(): null

2023-09-12 13:42:59 - [TEST_STEP][PASSED] - response = getInstance().getCurrentResponse(): null

2023-09-12 13:42:59 - [MESSAGE][PASSED] - Verify response successfully

2023-09-12 13:42:59 - [MESSAGE][PASSED] - All validation steps have been passed

2023-09-12 13:42:59 - [MESSAGE][PASSED] - Send request and verify the response successfully

2023-09-12 13:42:59 - [TEST_STEP][PASSED] - verifyElementPropertyValue(response, "error", "Unauthorised"): Verify element property value successfully

2023-09-12 13:42:59 - [MESSAGE][PASSED] - Verify element property value successfully]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/API-LOG004" time="1.619" classname="Test Cases/API-LOG004" status="PASSED">
         <system-out><![CDATA[2023-09-12 13:42:59 - [TEST_CASE][PASSED] - Test Cases/API-LOG004: Test Cases/API-LOG004

2023-09-12 13:43:00 - [TEST_STEP][PASSED] - response = sendRequestAndVerify(findTestObject("API-LOG004")): Send request and verify the response successfully

2023-09-12 13:43:01 - [MESSAGE][INFO] - HAR: C:\Users\Bronya\git\automation-api-katalon\Reports\20230912_134248\API-Login\20230912_134249\requests\main\3.har

2023-09-12 13:43:01 - [TEST_CASE][PASSED] - Start Test Case : Verification: Verification accomplished successfully

2023-09-12 13:43:01 - [TEST_STEP][PASSED] - request = getInstance().getCurrentRequest(): null

2023-09-12 13:43:01 - [TEST_STEP][PASSED] - response = getInstance().getCurrentResponse(): null

2023-09-12 13:43:01 - [MESSAGE][PASSED] - Verify response successfully

2023-09-12 13:43:01 - [MESSAGE][PASSED] - All validation steps have been passed

2023-09-12 13:43:01 - [MESSAGE][PASSED] - Send request and verify the response successfully

2023-09-12 13:43:01 - [TEST_STEP][PASSED] - verifyElementPropertyValue(response, "error", "Unauthorised"): Verify element property value successfully

2023-09-12 13:43:01 - [MESSAGE][PASSED] - Verify element property value successfully]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/API-LOG005" time="1.338" classname="Test Cases/API-LOG005" status="PASSED">
         <system-out><![CDATA[2023-09-12 13:43:01 - [TEST_CASE][PASSED] - Test Cases/API-LOG005: Test Cases/API-LOG005

2023-09-12 13:43:01 - [TEST_STEP][PASSED] - response = sendRequestAndVerify(findTestObject("API-LOG005")): Send request and verify the response successfully

2023-09-12 13:43:02 - [MESSAGE][INFO] - HAR: C:\Users\Bronya\git\automation-api-katalon\Reports\20230912_134248\API-Login\20230912_134249\requests\main\4.har

2023-09-12 13:43:02 - [TEST_CASE][PASSED] - Start Test Case : Verification: Verification accomplished successfully

2023-09-12 13:43:02 - [TEST_STEP][PASSED] - request = getInstance().getCurrentRequest(): null

2023-09-12 13:43:02 - [TEST_STEP][PASSED] - response = getInstance().getCurrentResponse(): null

2023-09-12 13:43:02 - [MESSAGE][PASSED] - Verify response successfully

2023-09-12 13:43:02 - [MESSAGE][PASSED] - All validation steps have been passed

2023-09-12 13:43:02 - [MESSAGE][PASSED] - Send request and verify the response successfully

2023-09-12 13:43:02 - [TEST_STEP][PASSED] - verifyElementPropertyValue(response, "error", "Unauthorised"): Verify element property value successfully

2023-09-12 13:43:02 - [MESSAGE][PASSED] - Verify element property value successfully]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <system-out><![CDATA[2023-09-12 13:42:53 - [TEST_SUITE][PASSED] - API-Login: Test Cases/API-LOG005]]></system-out>
      <system-err><![CDATA[]]></system-err>
   </testsuite>
</testsuites>
